include make/defaults.mk
NAME := Filter
CONFIG ?= release
TARGET ?= JayFilter.so

CFLAGS += -fPIC
CXXFLAGS += -fPIC
CXXFLAGS += -std=c++20

VST2_SDK_PATH := $(realpath sdk/vst/vstsdk2.4)
INCLUDES += -I $(realpath src)
INCLUDES += -I $(VST2_SDK_PATH)

DEFINES += -DVST_2_4_EXTENSIONS=0 -DVST_2_3_EXTENSIONS=1

GCC_SRCS := src/iir.c src/paramutils.c 
CXX_SRCS := src/filter.cpp src/filterMain.cpp
CXX_SRCS += $(VST2_SDK_PATH)/public.sdk/source/vst2.x/audioeffect.cpp
CXX_SRCS += $(VST2_SDK_PATH)/public.sdk/source/vst2.x/audioeffectx.cpp

LIBS := -lstdc++
LDFLAGS += $(TARGET_ARCH) $(LIBDIR) -shared

all: link

test:
	make -C ./submodules/dsp/delay/tests/

include $(MAKE_HOME)/compile.mk
include $(MAKE_HOME)/link.mk
